import { EventEndPoint } from './event-end-point.js';
export class EventCentral {
    endPoints = {};
    has(name) {
        return this.endPoints[name] !== undefined;
    }
    get(name) {
        if (!this.has(name)) {
            this.endPoints[name] = new EventEndPoint(name);
        }
        return this.endPoints[name];
    }
}
